routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['as' => 'web.'], function () {
    
    Route::get('/', 'LandingController@home')->name('home');
    Route::get('find-us', 'LandingController@find_us')->name('find_us');
    Route::get('contact', 'LandingController@contact')->name('contact');
    Route::get('about', 'LandingController@about')->name('about');
    Route::get('size', 'LandingController@size')->name('size');
    Route::get('shipping', 'LandingController@shipping')->name('shipping');
    Route::get('policy', 'LandingController@policy')->name('policy');
    Route::get('tos', 'LandingController@tos')->name('tos');
    Route::get('faq', 'LandingController@faq')->name('faq');
    
    
    Route::get('product/{category}', 'LandingController@category')->name('category');
    Route::get('product/{category}/{product}', 'LandingController@product')->name('product');
    Route::get('product/', 'LandingController@search')->name('product.search');

    Route::get('cart', 'LandingController@cart')->name('cart');
    Route::post('cart', 'LandingController@storeCart')->name('cart.store');

    Route::get('/content/color/image/{id}', 'LandingController@showColorImage');
    Route::get('/content/showcase/image/{id}', 'LandingController@showShowcaseImage')->name('showcase.image');
    Route::get('/content/showcase/image/detail/{id}', 'LandingController@showShowcaseDetailImage')->name('showcase.detail.image');
    Route::get('/content/popup/image/{id}', 'LandingController@showPopupImage')->name('popup.image');
    Route::get('/content/product/{id}/imagecolor', 'LandingController@showProductColorImage');
    Route::get('/content/product/{id}/image', 'LandingController@showProductImage');

    Route::get('testemail', 'EmailController@testMail')->name('testMail');

    Route::post('/message/send', 'LandingController@sendMessage')->name('contact_us');

});

Auth::routes();

Route::get('checkout', 'LandingController@checkout')->name('checkout');
Route::post('checkout', 'CartController@doCheckout')->name('checkout.store');
Route::get('payment', 'LandingController@payment')->name('payment');

Route::get('/cart/voucher', 'CartController@getVoucher')->name('voucher.check');
Route::get('/cart/voucher/remove', 'CartController@removeVoucher'); 

Route::post('/subscribe/email', 'LandingController@subscribeEmail')->name('subscribe.store');
Route::post('/disc_request', 'LandingController@discountRequest')->name('discount.request');


/**
 * Route to get region
 */
Route::get('/get-regions/city/db', 'RegionController@getCityFromDb')->name('region.get_city.db');
Route::get('/get-regions/subdistrict/db', 'RegionController@getSubDistrictFromDb')->name('region.get_subdistrict.db');

Route::post('/get-regions/city/external', 'RegionController@getCity')->name('region.get_city');
Route::post('/get-regions/subdistrict/external', 'RegionController@getSubDistrict')->name('region.get_subdistrict');
Route::post('/get-regions/cost', 'RegionController@getCost')->name('region.get_cost');


Route::group(['prefix' => 'dashboard','as' => 'dashboard.'], function () {
    Route::get('/', 'DashboardController@home')->name('home');
    Route::get('/profile', 'DashboardController@profile')->name('profile');
    Route::put('/profile', 'DashboardController@updateProfile')->name('profile.update');
    Route::put('/update/password', 'DashboardController@updatePassword')->name('password.update');
    Route::get('/address', 'DashboardController@address')->name('address');
    Route::put('/address', 'DashboardController@updateAddress')->name('address.update');
});

Route::post('checkstock', 'LandingController@checkStock');
Route::get('login/{provider}/social', 'Auth\LoginController@redirectToProvider')->name('login.social');
Route::get('login/{provider}/callback', 'Auth\LoginController@handleProviderCallback');

Auth::routes();

/*
 * Payment Gateway
 */
// Veritrans notification
Route::post('/api/payment/notif/veritrans', 'PaymentController@notifVeritrans');



/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => 'admin', 'namespace' => 'Admin'], function ()
{
    Route::get('/', 'HomeController@index');

    Route::get('/auth/login', 'AuthController@getLogin');
    Route::get('/auth/logout', 'AuthController@getLogout');
    Route::get('/auth/password/change', 'AuthController@getChangePassword');
    
    Route::post('/auth/login', 'AuthController@postLogin');
    Route::post('/auth/password/change', 'AuthController@postChangePassword');

    //product 
    Route::get('/product', 'ProductController@index');

    Route::get('/product/create', [
    	//'middleware' => 'auth.app.product',
    	'uses' => 'ProductController@create'
		]);
    Route::get('/product/{id}', [
            //'middleware' => 'auth.app.product',
            'uses' => 'ProductController@edit'
            ]);

    Route::post('/product/create', [
            //'middleware' => 'auth.app.product',
            'uses' => 'ProductController@store'
            ]);
    Route::post('/product/{id}', [
            //'middleware' => 'auth.app.product',
            'uses' => 'ProductController@update'
            ]);

    /*
    * Productsize
    */
    Route::get('/productsize', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductsizeController@index'
        ]);

    Route::post('productsize', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductsizeController@store'
        ]);
    Route::post('productsize/{id}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductsizeController@update'
        ]);
    Route::post('/productsize/{id}/delete', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductsizeController@delete'
        ]);
    Route::post('productsize/{id}/move/{move}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductsizeController@move'
        ]);


    /*
    * ProductColor
    */
    Route::get('productcolor/create/{id?}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductColorController@create'
        ]);
    Route::get('productcolor/{id?}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductColorController@index'
        ]);
    Route::get('productcolor/{id}/edit', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductColorController@edit'
        ]);

    Route::post('productcolor', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductColorController@store'
        ]);
    Route::post('productcolor/{id}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductColorController@update'
        ]);
    Route::post('productcolor/{id}/delete', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductColorController@delete'
        ]);

    /*
    * ProductStock
    */
    Route::get('productstock/{id?}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductStockController@index'
        ]);

    Route::post('productstock/{id?}/update', [
        //'middleware' => 'auth.app.product',
        'uses' => 'ProductStockController@update'
        ]);
    /*
    * Media
    */
    Route::get('/media', [
        //'middleware' => 'auth.app.product',
        'uses' => 'MediaController@index'
        ]);

    Route::post('media/create', [
        //'middleware' => 'auth.app.product',
        'uses' => 'MediaController@store'
        ]);
    Route::post('media/{id}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'MediaController@update'
        ]);
    Route::post('media/{id}/delete', [
        //'middleware' => 'auth.app.product',
        'uses' => 'MediaController@delete'
        ]);

    /*
    * Category
    */
    Route::get('/category', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@index'
        ]);

        Route::get('/category/create', [
            //'middleware' => 'auth.app.product',
            'uses' => 'CategoryController@create'
            ]);
    
        Route::post('/category/create', [
            //'middleware' => 'auth.app.product',
            'uses' => 'CategoryController@store'
            ]);
    Route::get('/category/{id}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@edit'
        ]);

    Route::post('/category/{id}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@update'
        ]);
    
    Route::post('/category/{id}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@update'
        ]);
    Route::post('/category/{id}/move/{move}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@move'
        ]);

    Route::post('/category/{id}/add', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@addSubcategory'
        ]);
    Route::post('/category/{id}/update/{subId}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@updateSubcategory'
        ]);
    Route::post('/category/{id}/delete/{subId}', [
        //'middleware' => 'auth.app.product',
        'uses' => 'CategoryController@deleteSubcategory'
        ]);


         /*
    * City Store
    */

app/Models/Product.php
<?php namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;

use Config;
use StdClass;
use Carbon\Carbon;

class Product extends Model {

	protected $guarded = ['id'];
	protected $dates = [
		'start_discount',
		'end_discount',
		'launch_date'
	];

	public function subcategory()
	{
		return $this->belongsTo(
            'App\Models\CategorySubcategory',
            'subcategory_id'            
        );
	}

	public function category()
	{
		return $this->belongsTo(
            'App\Models\Category',
            'category_id'            
        );
	}

	public function sizes()
    {
    	return $this->belongsToMany(
    		'App\Models\ProductSize',
			'products_productsizes',
			'product_id',
			'productsize_id'
    	)->withTimestamps();
    }

    public function colors()
    {
    	return $this->hasMany(
    		'App\Models\ProductColor',
			'product_id'
    	);
	}

	public function productSizes() 
	{
		return $this->hasMany(
			'App\Models\ProductProductsize',
			'product_id'
		);
	}
	
	public function images()
    {
    	return $this->hasMany(
    		'App\Models\ProductImage',
			'product_id'
    	);
    }

	public function productStok()
	{
		return $this->hasMany(
			'App\Models\ProductStock',
			'product_id'
		);
	}

	public function scopeActive($query)
	{
		return $query->where('products.is_active', '=', 1);
	}

	public function getpriceDiscountAttribute()
	{
		$disc_percent = $this->disc_percent;

		$value = null;
		if ($disc_percent && $disc_percent > 0 && $this->price > 0) {
			$disc_amount = $this->price * $disc_percent / 100;
			$value = $this->price - $disc_amount;
		}

		return $value;
	}

	public function getDiscountAttribute()
	{
		$value = $this->disc_percent;
		$now = Carbon::now();

		$disc = 0;

		if ($now >= $this->start_discount && $now <= $this->end_discount) {
			$disc = $value;
		}
		return $disc;
	}

	public function scopeFindCategory($query, $id)
	{
		return $query->select('products.*')
			->join('category_subcategories', 'category_subcategories.id', '=', 'products.subcategory_id')
			->join('categories', 'categories.id', '=', 'category_subcategories.category_id')
			->where('categories.id', '=', $id);
	}

	public function getPriceAttribute()
	{
		$domain = $locale = Config::get('app.domain');
		$price = 'price_' . $domain;

		return $this->$price;
	}

	public function getSizeListAttribute()
	{
		$sizes = $this->sizes()->orderBy('order')->get();
		$value = [];
		foreach ($sizes as $size) {
			$value[$size->id] = $size->short_name . ' - ' . $size->name;
		}

		return $value;
	}

	static public function random($extension = null) 
    {
		$path = Config::get('storage.guide');
		if (!$path)
			throw Exception("Config not found [{$key}]");
		$ret = new StdClass();
		$try = 250;
		do {
			if ($try <= 0)
				throw Exception("Storage::random fails to produce randomized filename");
			$hash = Str::random(32);
			if ($extension)
				$hash = $hash . '.' . $extension;
			$file = $path . '/' . $hash;
			$try -= 1;
		} while (file_exists($file));
		$ret = array($path, $hash, $file);
		return $ret;
	}

    public function setGuideImageAttribute($value)
	{
		$this->attributes['guide_image'] = null;
		if (!$value->isValid())
			return;

		$ext = $value->getClientOriginalExtension();

		$file_path = static::random($ext);
		$value->move($file_path[0], $file_path[1]);

		$this->attributes['guide_image'] = $file_path[1];
	}

	public function getGuideImageFullPath()
	{
		$value = $this->guide_image;
		if ($value == null)
			return null;

		$path = Config::get('storage.guide');		
		return "{$path}/{$value}";
	}

	public function getInStockAttribute()
	{
		$inStock = true;

		$stock = ProductStock::where('product_id', $this->id)
						->where('stock', '>', '0')
						->count();
		
		if($stock == 0)
		{
			$inStock = false;
		}

		return $inStock;
	}

	public function getCountdownAttribute()
	{
		$diff = 0;
		if ($this->launch_date != '') {
			$launchDate = strtotime($this->launch_date);
			$now = strtotime(now());
			if ($launchDate > $now) {
				$diff = $launchDate - $now;
			}
		}
		
		
		return $diff;
		
	}

	public function getStatusAttribute()
	{
		$status = $this->is_active;

		
		if ($this->is_active == 2 || $this->is_active == 3) {
			if ($this->launch_date < Carbon::now()) {
				$_prod = Product::find($this->id);
				$_prod->is_active = 1;
				$_prod->save();

				$status = 1;
			}
		}
		else {
			
			if($this->launch_date == '') {
				$launchDate = $this->created_at;
				$_prod = Product::find($this->id);
				$_prod->launch_date = $launchDate;
				$_prod->save();
			}
			else {
				$launchDate = $this->launch_date;
			}

			$launchDate =  Carbon::parse($launchDate);

			if(($launchDate->diffInDays(Carbon::now())) <= 30) {
				$status = 4;
			}
		}


		return $status;
		
	}
}

resources/views/web/components/filter.blade.php
    <!-- Filter -->
<div class="modal" id="filter" tabindex="-1" role="dialog" data-backdrop="false" aria-labelledby="modelTitleId" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <form action="{{ route('web.category','all') }}" id="form-filter" method="GET">
                    <h4 class="font-weight-bold">Categories</h4>
                    <div class="form-group" id="form-group-categories">
                    @php
                        $categories = \App\Models\Category::get()
                    @endphp

                    @foreach ($categories as $key => $item)
                        <label class="container{{ $key >= 4 ? ' d-none' : '' }}">
                            <span>{{ $item->name }}</span>
                            <input type="checkbox" name="category[]" id="category-{{ $key }}" value="{{ $item->id }}">
                            <span class="checkmark"></span>
                        </label>
                    @endforeach
                    @if($categories->count() > 5)
                    <a href="javascript:void(0)" class="text-warning" id="toggle-form-group-categories" @click.prevent="toggleFilter('form-group-categories')">Show More</a>
                    @endif
                    </div>

                    <h4 class="font-weight-bold">Size</h4>
                    <div class="form-group">
                    @foreach (\App\Models\ProductSize::get() as $key => $item)
                        <label class="container">
                            <span>{{ $item->short_name }}</span>
                            <input type="checkbox" name="size[]" id="size-{{ $key }}" value="{{ $item->id }}">
                            <span class="checkmark"></span>
                        </label>
                    @endforeach
                    </div>

                    <h4 class="font-weight-bold">Gender</h4>
                    <div class="form-group">
                        <label class="container">
                            <span>Men</span>
                            <input type="checkbox" name="genre[]" id="genre-MEN" value="MEN">
                            <span class="checkmark"></span>
                        </label>
                        <label class="container">
                            <span>Woman</span>
                            <input type="checkbox" name="genre[]" id="genre-WMN" value="WMN">
                            <span class="checkmark"></span>
                        </label>
                        <label class="container">
                            <span>Unisex</span>
                            <input type="checkbox" name="genre[]" id="genre-UNI" value="UNI">
                            <span class="checkmark"></span>
                        </label>
                        <label class="container">
                            <span>Kid</span>
                            <input type="checkbox" name="genre[]" id="genre-UNI" value="KID">
                            <span class="checkmark"></span>
                        </label>
                    </div>

                    <h4 class="font-weight-bold">Color</h4>
                    <div class="form-group" id="form-group-color">
                    @php 
                        $colors = \App\Models\ProductColor::distinct()->orderBy('name')->get('name');
                    @endphp 
                    @foreach ($colors as $key => $item)
                        <label class="container{{ $key >= 4 ? ' d-none' : '' }}">
                            <span>{{ $item->name }}</span>
                            <input type="checkbox" name="color-filter[]" id="color-{{ $key }}" value="{{ $item->name }}">
                            <span class="checkmark"></span>
                        </label>
                    @endforeach
                    @if($colors->count() > 5)
                    <a href="javascript:void(0)" class="text-warning" id="toggle-form-group-color" @click.prevent="toggleFilter('form-group-color')">Show More</a>
                    @endif
                    </div>

                    <h4 class="font-weight-bold">Price</h4>
                    <div class="form-group px-3">
                        <div class="range d-flex mb-2">
                            <div class="flex-fill" id="minPriceText">{{ i18l_currency(\App\Models\Product::min('price_id')) }}</div>
                            <div class="flex-fill text-right" id="maxPriceText">{{ i18l_currency(\App\Models\Product::max('price_id')) }}</div>
                        </div>
                        <div id="price-range"></div>
                        <input type="hidden" id="min" value="{{\App\Models\Product::min('price_id') }}">
                        <input type="hidden" id="max" value="{{\App\Models\Product::max('price_id') }}">
                        <input type="hidden" id="selectedMinPrice" name="min-price" value="{{\App\Models\Product::min('price_id') }}">
                        <input type="hidden" id="selectedMaxPrice" name="max-price" value="{{\App\Models\Product::max('price_id') }}">
                    </div>
                    
                </form>
            </div>
            <div class="modal-footer">
                <div class="d-flex w-100 align-items-center">
                    <form action="{{ route('web.category','all') }}" id="form-filter-reset" method="GET"></form>
                    <button type="submit" form="form-filter-reset" class="btn btn-block btn-lg mr-2 mt-0 btn-outline-secondary">Reset Filter</button>
                    <button type="submit" form="form-filter" class="btn btn-block btn-lg ml-2 mt-0 btn-warning">Apply</button>
                </div>
            </div>
        </div>
    </div>
</div>

resources/views/web/components/footer.blade.php
<form action="{{ route('subscribe.store') }}" class="d-flex justify-content-center w-100 form-inline mb-4" method="post">
    <div class="input-group w-100">
        @csrf
        <input type="text" name="sub_email" class="form-control" style="height: 30px !important">
        <div class="input-group-append">
            <button class="btn btn-outline-secondary" style="height: 30px !important; font-size: 0.7rem !important">Subscribe</button>
        </div>
    </div>
</form>
<div class="icon-menu d-flex justify-content-center mb-4 mb-lg-2">
    <a href="https://www.facebook.com/ZunaGloves/" class="flex-fill px-lg-3 text-center text-muted"  target="_blank"><i class="fab fa-facebook"></i></a>
    <a href="https://www.youtube.com/channel/UCOfuv6pX07sh1y2PuwqKkEw" class="flex-fill px-lg-3 text-center text-muted"  target="_blank"><i class="fab fa-youtube"></i></a>
    <a href="https://www.instagram.com/zunagloves/" class="flex-fill px-lg-3 text-center text-muted"  target="_blank"><i class="fab fa-instagram"></i></a>
    <a href="http://blog.zunagloves.com/" class="flex-fill px-lg-3 text-center text-muted"  target="_blank">Blog</a>
</div>
<div class="footer-link w-100 text-right mb-md-2 mb-4">
    <a href="{{ route('web.about') }}" class="d-lg-block py-1 text-muted">About Us</a>
    <a href="{{ route('web.policy') }}" class="d-lg-block py-1 text-muted">Return & Claim Policy</a>
</div>
<div class="text-right mt-auto copyright">
    <small class="text-muted"  style="padding-left: 0px !important; font-size: 8.3px !important">©2021 ZUNA GLOVES, All Rights Reserved</small>
</div>

resources/views/web/components/nav_pill_about.blade.php
<ul class="nav nav-fill">
    <li class="nav-item">
        <a class="nav-link {{ Route::is('web.size') ? 'active' : '' }}" href="{{ route('web.size') }}">Size Chart</a>
    </li>
    <li class="nav-item">
        <a class="nav-link {{ Route::is('web.about') ? 'active' : '' }}" href="{{ route('web.about') }}">About Us</a>
    </li>
    <li class="nav-item">
        <a class="nav-link {{ Route::is('web.shipping') ? 'active' : '' }}" href="{{ route('web.shipping') }}">Shipping & Handling</a>
    </li>
    <li class="nav-item">
        <a class="nav-link {{ Route::is('web.policy') ? 'active' : '' }}" href="{{ route('web.policy') }}">Return and Claim Policy</a>
    </li>
    <li class="nav-item">
        <a class="nav-link {{ Route::is('web.tos') ? 'active' : '' }}" href="{{ route('web.tos') }}">Terms of Use</a>
    </li>
</ul>

resources/views/web/components/product_label.blade.php
@if($product->discount > 0)
<div class="product-label">
    <div class="label-status">
        <p class="mb-0">SALE</p>
    </div>
</div>
@endif

@php 
    // Preorder
    $current_date = date('Y-m-d h:i:s');
    $current_date = date('Y-m-d h:i:s', strtotime($current_date));
    $launch_date = date('Y-m-d h:i:s', strtotime($product->launch_date));
@endphp

@if($product->status == 3)
<div class="product-label">
    <div class="px-2 w-100">
        <p class="mb-0">Getting Ready</p>
        <timer-pre-order :launch-date="'{{ $product->countdown }}'" v-cloak></timer-pre-order>
    </div>
    <div class="label-status pre-order">
        <p class="mb-0">PRE</p>
        <span>ORDER</span>
    </div>
</div>
@endif

@if($product->status == 2)
<div class="product-label">
    <div class="label-status coming-soon">
        <p class="mb-0">COMING</p>
        <span>SOON</span>
    </div>
</div>
@endif

@if($product->status == 4)
<div class="product-label">
    <div class="label-status new">
        <p class="mb-0">NEW</p>
    </div>
</div>
@endif

@if(!$product->in_stock && $product->is_active == 1)
<div class="product-label">
    <div class="label-status out-stock">
        <p class="mb-0">OUT OF</p>
        <span>STOCK</span>
    </div>
</div>
@endif

resources/views/web/components/shopping_cart.blade.php
<!-- Shopping Cart -->
<div class="modal" id="shopping-cart" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header d-flex align-items-center">
                <h5 class="modal-title font-weight-bold">Shopping Cart (@{{ cart.length }})</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i class="fas fa-times-circle"></i>
                </button>
            </div>
            <div class="modal-body">
                <div class="table-zn" v-if="cart.length > 0">
                    <div class="table-zn__body">
                        <div class="table-zn__row" v-for="(item, key) in cart" :key="key">
                            <div class="product-info px-0">
                                <img :src="item.image" class="product-info__img" alt="">
                                <div class="detail-info w-100">
                                    <div class="d-flex align-items-top">
                                        <div class="w-100 pb-1 pr-1 mb-1">
                                            <p class="font-weight-bold mb-1">@{{ item.name }}</p>
                                            <p class="mb-1">
                                                <span v-if="item.size">Size: @{{ item.size }} | </span>
                                                <span v-if="item.color">Color: @{{ item.color }}</span>
                                            </p>
                                        </div>
                                        <span>
                                            <button class="btn btn-sm text-muted" title="Remove" @click="deleteFromCart(key)"><i class="fas fa-trash"></i></button>
                                        </span>
                                    </div>
                                    <span class="d-block font-weight-bold">@{{ item.qty + ' x ' + formatCurrency(item.price) }}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="table-zn__footer border-top">
                        <div class="table-zn__row bg-light">
                            <div class="col">
                                <div class="row">
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-muted">Subtotal</p>
                                    </div>
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-right" v-cloak>@{{ formatCurrency(subtotal) }}</p>
                                    </div>
                                </div>
                                <div class="row" v-if="voucher && voucher.status == 'available'">
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-muted">Discount</p>
                                    </div>
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-success text-right" v-cloak>- @{{ formatCurrency(discountAmount) }}</p>
                                    </div>
                                </div>
                                <div class="row" v-if="shippingCost > 0">
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-muted">Shipping Cost</p>
                                    </div>
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-right" v-cloak>@{{ formatCurrency(shippingCost) }}</p>
                                    </div>
                                </div>
                                <hr>
                                <div class="row">
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 h5 text-muted">Total</p>
                                    </div>
                                    <div class="col-6">
                                        <p class="font-weight-bold mb-0 text-warning text-right" v-cloak>@{{ formatCurrency(total) }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div v-else>
                    <img src="{{ asset('images/empty-cart.png') }}" class="img-fluid" alt="">
                    <p class="text-muted text-center h2 font-weight-bold">Your cart is empty</p>
                </div>
            </div>
            <div class="modal-footer" v-if="cart.length > 0">
                <button type="button" class="btn btn-lg btn-block btn-outline-secondary" data-dismiss="modal" aria-label="Close">Other Shopping</button>
                <a href="{{ route('web.cart') }}" class="btn btn-lg btn-block btn-outline-secondary">View Cart</a>
                @auth
                <form action="{{ route('web.cart.store') }}" class="w-100" id="form_cart_sidebar" @submit.prevent="checkout" method="post">
                    @csrf
                    <button class="btn btn-block btn-lg btn-warning">Process to Checkout</button>
                </form>
                @endauth

                @guest
                <button class="btn btn-block btn-lg btn-warning" data-toggle="modal" data-target="#login-form" @click="guestCheckoutToggle">Process to Checkout</button>
                @endguest
            </div>
        </div>
    </div>
</div>